commit 5a0d729a51a81f3c62e909baef764a4f3e838a3d
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Jun 29 18:25:22 2012 +0200

    Prepare 2012.06

    Update Makefile and CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 027967f79d75ebb6a23481dcd47c9d1a14853382
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Jun 22 21:15:22 2012 +0200

    Prepare 2012.06-rc2

    Update Makefile and CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 06a2c1f9ced382fbd0a3f93e89bcfb0019a73ac9
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:42:54 2012 +0200

    working-designs: Avnet-S6LX9-AXI-tiny-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit dd6c3b271359ddc7dba3340b781f1795d23a5d02
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:41:09 2012 +0200

    tpos: xl-boot: hot fix to support designs w/o flash setup

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit e90ccdb1672645852564f81f04901d5635cfd7ce
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:39:30 2012 +0200

    tpos: support tiny designs

    In some circumstances to save slices consumption the
    FPGA designer needs to remove the capability for fetching
    instructions directly from RAM (remove M_AXI_IP bus
    parameter from microblaze IP configuration).

    This case will be handled as a so named "tiny" design.
    TPOS relax and pay attention to the data bus only.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 38d2c525f6f02f42d51d91451fd2cb7e63ded044
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:29:54 2012 +0200

    working-designs: Avnet-S6LX150T-AXI-full-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit e7785bebdcb868da93831f8c69da94c2bb47d3d0
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:29:44 2012 +0200

    working-designs: Avnet-S6LX150T-AXI-lite-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit ea5d563594cc9fd55ec81bd350009ff722a718c7
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:29:26 2012 +0200

    working-designs: Avnet-S6LX150T-MMU-full-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit cb199887579e2ac7c5091f8f158203710776f936
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:29:15 2012 +0200

    working-designs: Avnet-S6LX150T-MMU-lite-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 2f59d74d0d8df7a4eb844ad25f55ed2254d8c738
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:28:19 2012 +0200

    working-designs: Xilinx-ML505-MMU-full-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 06fcc249385d5113ef9bde62c7d72f531b90604e
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:28:08 2012 +0200

    working-designs: Xilinx-ML505-MMU-lite-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit d7bca13f53a18a94e744cc5d30a9162296cf68f2
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:27:40 2012 +0200

    working-designs: Xilinx-ML605-AXI-full-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 20d6b80796f53ecb865b78b77ee9cc8457331891
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:27:05 2012 +0200

    working-designs: Xilinx-ML605-AXI-lite-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 4b09f0b345a7ce2d7271f05d1f6315994a37a1d1
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:26:45 2012 +0200

    working-designs: Xilinx-ML605-MMU-full-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 197d10be2e70b09ef72533fdf3b6e9dbbcaa0a45
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jun 17 15:26:03 2012 +0200

    working-designs: Xilinx-ML605-MMU-lite-13.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 92c000e1cedbd4f2224588650a987c204d0fab4c
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 14 20:38:54 2012 +0200

    Prepare 2012.06-rc1

    Update Makefile and CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit e3986fc97e1f128ad385f6d54d920260d5ab5540
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 7 22:52:50 2012 +0200

    working-designs: add Avnet-S6LX150T-AXI-full-13.3

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 7b56f612d93991c90a0481660578d39c0dc59786
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 7 22:52:25 2012 +0200

    working-designs: add Avnet-S6LX150T-AXI-lite-13.3

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 3fee307aae4423086e4584fc215580e39ded9a6b
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:27 2012 +0200

    'working-designs: add Avnet-S6LX150T-MMU-full-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 8cf770ba0204eee9d6a5440689cc3b83408b42b6
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:27 2012 +0200

    'working-designs: add Avnet-S6LX150T-MMU-lite-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 3878511e7fc8cc463a05cccdff57df4d5570b540
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:27 2012 +0200

    'working-designs: add Xilinx-ML505-MMU-full-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit b58e58341fde199dd98d3adbe208238d7ef19aa8
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:27 2012 +0200

    'working-designs: add Xilinx-ML505-MMU-lite-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 991932b03482ddf2b2250f156b162099403f33a7
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:26 2012 +0200

    'working-designs: add Xilinx-ML605-AXI-full-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 0315d9bf572fd8692b106c091403ef95c36ee90e
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:25 2012 +0200

    'working-designs: add Xilinx-ML605-AXI-lite-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 5a290b0ccf58716134e40e7803012d67c9e82703
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:25 2012 +0200

    'working-designs: add Xilinx-ML605-MMU-full-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 4982170ba61ee09c26d0718573850ae439816451
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:25 2012 +0200

    'working-designs: add Xilinx-ML605-MMU-lite-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit ff4aa358ba22d0cffa8a2707d55244d470d2a284
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:25 2012 +0200

    'working-designs: add Xilinx-SP3ADSP1800-MMU-full-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 0f97bdff960da182eb403b5941c0cce3c1124a76
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 25 00:25:24 2012 +0200

    'working-designs: add Xilinx-SP3ADSP1800-MMU-lite-13.3'

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit db6e2e5954ffb9802e5356d1bd719365d6af5412
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 20 11:02:55 2012 +0200

    Xilinx-ML605 13.2: bootargs: change from JFFS2 to UBIFS

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a409f4ce4b0ea0fbb56520dadf00e472d5a81683
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 20 11:00:01 2012 +0200

    Xilinx-ML605-AXI-full-13.2: BitGen: StartUpClk to CCLK

    Change the start up clocks from JTAGCLK to CCLK.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 13c4c638fbc0142a4d6ef8b7df8f434c5d319dd4
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 20 10:58:23 2012 +0200

    working-designs: promgen: correct size and data width

    Some hints for AXI systems:
    http://forums.xilinx.com/t5/EDK-and-Platform-Studio/Byte-swapping-during-promgen/td-p/186394

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 7cc967f71796df4b9593d30ec63367af4a45443d
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu May 17 09:05:23 2012 +0200

    working-designs: add Avnet-S6LX150T-AXI-full-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit cb03580b41ce7f9baaea1805a97b4be7b73ff991
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon May 14 21:53:53 2012 +0200

    working-designs: add Avnet-S6LX150T-AXI-lite-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 8808a70e1f6719277b3c7ec96be387c5dee688a0
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 13 14:51:24 2012 +0200

    working-designs: add missing etc/download.cmd files

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a0c9acfbfa1e4fc67da81d295540f0257be1514d
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 13 14:45:45 2012 +0200

    mbref: gitignore: exclude mcs files

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 8a6777a6a1ecd22f554697cf9d0c72dfd41e53d3
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 13 14:44:14 2012 +0200

    Avnet-S6LX150T-MMU-full-13.2: change console to ttyS0

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit acde2d19668c60d63f0ad8392e5f95dd71cac300
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 13 00:01:39 2012 +0200

    working-designs: add Avnet-S6LX150T-MMU-full-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 80e23527b95aeca34041173ea2ba5bb445ddb28f
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 11 23:46:05 2012 +0200

    Xilinx-ML605-AXI-full-13.2: add sensitiviy for SysACE MPIRQ

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 132b3a03ed88980ad16f2b3364718dc4677e01b2
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri May 11 00:56:43 2012 +0200

    Avnet-S6LX150T-MMU-lite-13.2: add I2C bus

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 8e6f3c57ceda157c48f60e1d4930bde68307e232
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu May 10 19:56:32 2012 +0200

    working-designs: correct interrupt priorities for Xilinx designs

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 5487d9ce6c60a3a8b124346a4682a31907a5cbd6
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu May 10 19:54:58 2012 +0200

    working-designs: makefile: add *.mcs cleanup

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 1755319bff97e85e884872586801d005c9b9ab33
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu May 10 19:53:57 2012 +0200

    working-designs: add Avnet-S6LX150T-MMU-lite-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 88f069acfa8acdc0cb238775185c726587ed64cf
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat May 5 12:06:55 2012 +0200

    Xilinx-ML505-MMU-lite-13.2: bootargs: change from JFFS2 to UBIFS

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 2db7ee31ee1f46aea225fe963b0d266d97c0fab7
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat May 5 12:06:16 2012 +0200

    Xilinx-ML505-MMU-lite-13.2: reorder UART ports

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit dd45f766f7113908aa8570055d7872129d86e124
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu May 3 21:10:37 2012 +0200

    Xilinx-ML505-MMU-full-13.2: bootargs: change from JFFS2 to UBIFS

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit e48e0691693c7e3d267a28f7d5a123c0ecbc5de9
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu May 3 21:09:56 2012 +0200

    Xilinx-ML505-MMU-full-13.2: change FPU from EXTENDED to BASIC

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit b2412fa4d44d1869e949c7d2414b2cb1a03a90a8
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Apr 28 10:20:33 2012 +0200

    tpos: device-tree: remove double code in compound_slave()

    WRONG, WRONG, WRONG: by last merge with Xilinx code I have
    insert double code -- add empty ranges. So we get errors:

    DTC: dts->dtb  on file "arch/microblaze/boot/dts/test.dts"
    ERROR (duplicate_property_names): Duplicate property name ranges in /plb@0/xps-ll-temac@88f00000
    ERROR: Input tree has errors, aborting (use -f to force output)

    this is a fix

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit b3bf96582946615d5db330a261998ea6673addd5
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Apr 27 22:43:08 2012 +0200

    tpos: device-tree: change to version 1.03.a

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit faa26344a46ed058b2d546d8913cb1a272018ee7
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Apr 27 20:28:15 2012 +0200

    tpos: device-tree: merge with Xilinx work

      * add AXI DMA/VDMA/CDMA
      * add AXI to AXI bridge
      * expand for AXI Quad SPI
      * expand for AXI v7 DRAM controller
      * fix some errors and typos

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit ce897bfb80c9607f99bacbf0e5eb5e4692fc68da
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Apr 27 19:17:09 2012 +0200

    tpos: device-tree: gen_mdiotree for XPS LL TEMAC

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 60defd4f86f2c91fa9de74d291605862e5e4b37a
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Apr 27 17:58:51 2012 +0200

    tpos: device-tree: gen_mdiotree for xps/AXI Ethernetlite

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 896694885d9a5a9f077ed8f115d2199b1be38a23
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Apr 27 17:45:28 2012 +0200

    tpos: device-tree: add gen_macaddr

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 822a61af5f42c3bc2ccb64bb0a400533b719798e
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Apr 24 17:23:53 2012 +0200

    Xilinx-ML505-MMU-full-13.2: add plbv46_mbref_reg/_mio

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 03949fbce941214450f973e1632683b6b2e27cf1
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Apr 24 17:23:37 2012 +0200

    Xilinx-ML505-MMU-lite-13.2: add plbv46_mbref_reg/_mio

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit af543f478668a31e83d508e67f8583427fde0b36
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Apr 23 09:42:58 2012 +0200

    Xilinx-ML505-MMU-lite-13.2: reduce sysclk to 100 MHz and remove PCIe bridge

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 7f9f40f03fff914d66e748f40b862ceafeba6282
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Apr 23 09:28:53 2012 +0200

    working-designs: add Xilinx-ML505-MMU-full-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 72207fdd253b214fc7faba342a40b2793a67270b
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Apr 22 00:16:12 2012 +0200

    working-designs: add Xilinx-ML505-MMU-lite-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a5a37b0384164b5e198fe0c949469a9f2e707e28
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Apr 21 09:21:42 2012 +0200

    tpos: fix list handling for serial multi support

    There were nested lists of serial IP entities that had
    have to flatten.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit c1897c93956e98a91f18faf79fc13735d75165f1
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Feb 23 19:50:51 2012 +0100

    working-designs: add Xilinx-ML605-AXI-full-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 310b341bd81440f537682fe9e4fa7bb15926a76e
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Feb 15 19:44:47 2012 +0100

    working-designs: upgrade Xilinx-ML605-AXI-lite-13.2

      - upgrade clock_generator from 4.01.a to 4.02.a
      - upgrade microblaze from 8.10.a to 8.20.a
      - upgrade lmb_v10 from 2.00.a to 2.00.b
      - upgrade lmb_bram_if_cntlr from 3.00.a to 3.00.b
      - upgrade axi_interconnect from 1.02.a to 1.03.a
      - upgrade axi_v6_ddrx from 1.02.a to 1.03.a
      - upgrade axi_timer from 1.01.a to 1.02.a
      - upgrade axi_uartlite from 1.01.a to 1.02.a

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit db4f6c80a9d5cddf5a1543c9749aafe76990f05f
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Feb 14 23:45:08 2012 +0100

    working-designs: add Xilinx-ML605-AXI-lite-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 47dbf8dcb9d014be2d3aa3364c54b31a0f53ed8f
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Feb 14 23:44:23 2012 +0100

    tpos: device-tree: handle unknown AXI ip cores

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 5fe8b915f9e87302bedffd6fc3d0c0ed233ec40a
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Feb 14 21:45:26 2012 +0100

    working-designs: add support for EDK 13.1

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 75362b243306c1e9bf6e66dbf446d66d17ccddbc
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Feb 13 22:42:26 2012 +0100

    tpos: axi_mbref_mio: new IP core

    MicroBlaze References simple memory bank for AXI4.
    This belongs to MicroBlaze References project.

    It still need the software reset register to be
    compatible to the plbv46_mbref_mio IP core. There
    is a problem with the Xilinx IP wizzard (createip)
    in Xilinx EDK 13.1 and 13.2.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 63d4dc8adf9853f1b9f35cbddf5c332c9a122a38
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Feb 13 19:17:31 2012 +0100

    tpos: axi_mbref_reg: new IP core

    MicroBlaze References simple register bank for AXI4 Lite.
    This belongs to MicroBlaze References project.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 0adbac4f7ffb2b153c5ab000d38b2a4e7f020452
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 7 00:47:14 2012 +0100

    tpos: remove mistakenly commited swap file

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 3f1ee010caf93860b2b2faafa2f41d81280a026b
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 7 00:42:47 2012 +0100

    working-designs: use XPS to fetch hw/sw data

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 95f27254fb407e9711b9949dec14e8d402d43f3f
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 7 00:35:38 2012 +0100

    Merge with GNU parts of PetaLinux v2.1 (2011.04)

      * device-tree_v1_02_a: improve AXI support, add AXIEMAC
      * uboot_v4_02_c: improve AXI support, add AXIEMAC
      * tpos_v1_00_a: add 'mdm' as stdio and 'axi_ethernet'
      * xl-boot.tcl: fix typos and adapt changes from ISE 13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 3d5256b103e2fc65c503240c220b61f6bc8991b5
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 4 17:18:56 2012 +0100

    tpos: device-tree: fix typos

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit c480360e439d357b04572461d9804f41ef171388
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 4 17:13:44 2012 +0100

    tpos: device-tree: remove how to use

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit bded91aff93390652a320011ad6c0618154bb254
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 4 17:12:22 2012 +0100

    tpos: device-tree: use get_project_folder() for model name

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 390cb8c191aabce9ee7b9a43527f53a594c69f33
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Jan 3 18:58:08 2012 +0100

    tpos: u-boot: reserve upper 2MB of RAM

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit c450ec793386007e0c3f08834141c6ea042295a1
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Jan 3 09:43:33 2012 +0100

    working-designs: Xilinx SP3ADSP1800 with new sw driver versions

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a6960229072a409cbf2203204029dc0110874ecb
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Jan 2 21:08:44 2012 +0100

    working-designs: add Xilinx-ML605-MMU-lite-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 2dac74c0c3b9eec70785998aedf6ca1a105c3173
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Jan 2 21:08:29 2012 +0100

    working-designs: add Xilinx-ML605-MMU-full-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 241c902e6c2b4b7272ae5d3ec322d0fe6f993f69
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Dec 27 17:42:23 2011 +0100

    working-designs: add Xilinx-SP3ADSP1800-MMU-lite-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit bb449bb5ba447058528fe64490c2f4315dbe2ea3
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Dec 27 17:42:05 2011 +0100

    working-designs: add Xilinx-SP3ADSP1800-MMU-full-13.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 6105b711bdd8a70522432f10ef744f5c494b7130
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Dec 27 13:53:11 2011 +0100

    working-designs: adapt buildenv to EDK 13.x

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 1590df1f7c590fb76f0f960b2ce3be3dcf43e4d7
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Dec 27 13:52:23 2011 +0100

    working-designs: ignore PTX export path

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a48991cd3dc7210fcb6eb0d525f0e9d5b4da763d
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Dec 20 16:53:36 2011 +0100

    mbref: correct version for development

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 04fe58e814fb1bd9aa97055578c2d4a9a3a84a57
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Dec 20 16:41:29 2011 +0100

    Prepare 2011.12

    Update Makefile and CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 8243fd25deb2606dbdecb46bf91ffed8d25307ba
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Dec 20 16:30:36 2011 +0100

    mbref: doc: add more README

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 825c4efe4b4a9095f14956a9fef67707bca817e3
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Oct 9 19:23:11 2011 +0200

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit ca84a4eb4ee4ac185327dca0c82041e408fe0361
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Oct 8 10:49:09 2011 +0200

    mbref: add software exports

    Add new export scripts for the automatical build environment
    in working designs:
      * exporttosdk
      * exporttoptx

    So we can collect all files needed for a dowenstrem software
    development with PTXdist or the Xilinx SDK.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit d29fc1aacf63c8251a2a0f23b56c768a9da8ff72
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Oct 3 17:20:46 2011 +0200

    mbref: credits to Michal Simek

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit d0d4f6129e8fe12766f6fcb2cf5ff0ec68dcbc77
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Oct 3 17:01:08 2011 +0200

    mbref: add doc to distribution

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit d99eed55c44a887f4b5f747598733197012ae553
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Oct 3 16:58:24 2011 +0200

    mbref: adapt to latest unoconv behaviour

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 113341a348b385597f6c8e396deb5bf72a5f058e
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Oct 3 14:58:05 2011 +0200

    mbref: correct version for development

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 5d3a4436810ae46e025aa29e9fa8552feb2e4a5b
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 2 09:47:01 2011 +0200

    Prepare 2011.06

    Update Makefile and CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 02fa87e42b216eab9cc7dde11a01c00b377b2031
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 2 09:32:05 2011 +0200

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit adea285497dffd7977c3472ff9d047980c0f25a7
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 2 09:28:54 2011 +0200

    working-designs: makefile: add simple processing

    Add a simple make file to process build-up and/or clean all
    XPS based FPGA working designs with a simple make command.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 439378f5a2e46257242ef5842b111ca53e05a779
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu May 26 23:01:26 2011 +0200

    mbref: move s2imac_epc document sources to ./doc

    As an result of project review it was time to remove all source
    files of IP core documentation inside the IP core directory itself.

    All documentation source files were moved to and integrated in the
    make process in the ./doc directory.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit dc6474d168f515b8fe53ee75fe243401fff1fa65
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 22 19:19:00 2011 +0200

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit fc50cfcd81f74ee335942584084582f5a0deb2d7
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 22 19:06:43 2011 +0200

    mbref: gitignore: exclude bin files

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit f37eba9e633f2d7c3430442cc4699d2cb495c89f
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 22 18:59:26 2011 +0200

    working-designs: bit2bin: add new converter

    Add a simple script to convert the ready to use Xilinx BIT
    file to a flash-able BIN file. This file will be used for
    BPI programming mode and reside in parallel flash on first
    configuration address (normaly 0x0).

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit c30f77e79da49212e5f56a57e334bf8453bb3a07
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 22 18:51:41 2011 +0200

    working-designs: MSS: flash partitioning

    Preset the MTD flash partitioning in the Linux boot argument
    and set default rootfs to jffs2 on /dev/mtdblock2.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 3805d46c748688a8193b0790c8a391ae7c4f830f
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 22 18:47:19 2011 +0200

    working-designs: BitGen: StartUpClk to CCLK

    Change the start up clocks from JTAGCLK to CCLK in all BitGen
    option files etc/bitgen.ut.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 976f07e9afb93668026722826f1dfbed8fbb6d85
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat May 14 00:19:14 2011 +0200

    tpos: zero main_memory_size

    Resize the main memory size only if main_memory_size is greater than
    zero and lower than eram_size.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 5efca0d6feedacd1690800652f9bc93ea9d2e293
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 8 15:07:00 2011 +0200

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit b96166f4f1fc54c03152ac3945a640c40db7aece
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 8 15:02:29 2011 +0200

    mbref: describe devel packaging

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 2e8af5d0949b8213de5a53e11948c71b70d06dff
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 8 14:34:23 2011 +0200

    mbref: make special devel distribution

    Use EXTRAVERSION = -devel to archive a context less devel
    distribution base on HEAD.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit de01c1b38bba5e8453e217183b453d0df6fe962f
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 8 14:32:29 2011 +0200

    mbref: legal notice and credits to S2I

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 167738fdfca8ff5a326a868145861939df7c3fab
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 8 13:20:15 2011 +0200

    mbref: correct version for development

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit e0ca44658ab57992f6e026ece6fea31c1271e855
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun May 8 13:13:41 2011 +0200

    working-designs: add S2I-ML505-MMU-gige-11.5

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 16f40d384b88b7984aca13106412990255fc6790
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu May 5 00:37:00 2011 +0200

    Prepare 2011.05

    Update Makefile and CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 8b27f10554355da278b94e9f64bd383761b14b80
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed May 4 23:18:10 2011 +0200

    tpos: s2imac_epc: new IP core

    MicroBlaze References extended Xilinx EPC derivate with interrupt
    line extention. This belongs to Sensor to Image GigE Vision project.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 57ee02a20941b373bfab73d620d4e8a237f85eee
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed May 4 22:12:40 2011 +0200

    tpos: Harmonize S2I GigE Vision MAC support

    It is time to handle the S2IMAC as a generic Ethernet controller
    like other, eg. Xilinx LL TEMAC. It removes the MSS option 's2imac'.
    You have to use the MSS generic option 'ethernet' to select your
    specific 's2imac_epc' entity.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 4c9862bb7769c24690bef4312a96e385e576d2fa
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Mar 1 17:04:14 2011 +0100

    tpos: device-tree: Add s2imac_epc handling

    Add the new s2imac_epc handling in same manner as a generic
    xps_epc with s2imac extension. This is a pre-stage version
    to the way of a single treatment as a generic ethernet core,
    such as the lltemac.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 87a7f857cd7029555be722ac08e88fd0e0d416ae
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Mar 1 17:02:40 2011 +0100

    tpos: linux: remove PROJECT_NAME in Kconfig

    Remove the improper kernel configuration PROJECT_NAME.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 115b9c87c866f0de4f2529f68fd89befb02126fc
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Mar 1 16:56:10 2011 +0100

    tpos: device-tree: fix typos

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 81225f3939fc00c0deaec6f8d2415d84edc4b2cf
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Mar 1 16:52:40 2011 +0100

    tpos: device-tree: hot fix to avoid effects of missing variable

    With this hot fix we avoid effects of missing variable in ISE 11.5 and 12.1:
      ERROR:EDK - tpos () - can't read "generic_uio_list": no such variable
      ERROR:EDK:1188 - Error(s) while running "generate" for processor microblaze_0.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a5dc6a3d053a03b05cd7ead886099e468f50b688
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Feb 17 12:11:19 2011 +0100

    Prepare 2011.01 [V2]

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 7304b8c44ec0e023a80c60410735e10540c210ee
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Feb 17 12:07:57 2011 +0100

    mbref: correct version for development

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 380279a585edacefad0a8035de65c20dd2139a11
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Feb 17 12:01:14 2011 +0100

    mbref: make distribution

    Use 'git archive' to producing a tarball directly from the
    git master branch. If you do this however, you end up with
    the entire contents of the git branch, including potentially
    undesirable files like: .gitignore, doc/ or the big stuff
    in reference-designs/

    So we use the .gitattributes file to exclude the most
    unnecessary files and directories.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 914e8ecb14aa8490b84eaeb1c6c8e1eab7adc386
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Feb 17 10:46:55 2011 +0100

    expand copyright strings to 2011

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 854f3a4c492e429f2881b3b6684b1d5688c3c9bd
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Feb 14 09:32:53 2011 +0100

    Prepare 2011.01

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit cae8abbf597e27622dfb123d77a4b5b3b879ebc9
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Feb 14 09:27:28 2011 +0100

    tpos: device-tree: remove empty ranges for s2imac

    The ranges property can be used to translate from parent
    IP-core to the registers of each child node. That is true
    for IP cores actually implement 2 or more logical devices.

    For the S2IMAC that ist wrong and we have to remove the
    empty generated ranges property.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 5b4aa165eccbefee857f147ba0e7f4cce0af7918
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Jan 28 16:58:53 2011 +0100

    tpos: extract and use main_memory_size

    Both in the device-tree module and the tpos misclib
    where are no support to reduce the main memory size
    as needed for special hardware purpose we now reseize
    the memory size to given value in software setup.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit e9732bb0b87505dbf3465a0ad42a37d75263284f
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Jan 28 16:57:08 2011 +0100

    tpos: linux: add PTXdist section key

    Add PTXdist section key to Kconfig.auto.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit f1af04672c2bcaeea7d71ac70f5d0d5428d314cc
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jan 27 09:51:02 2011 +0100

    tpos: device-tree: generic uio for multiple mbars

    Expansion of the existing implementation for instances
    without register access.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a4d6006b1d0f3240abb0cbde0c2abd573c334dad
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 26 22:20:00 2011 +0100

    Prepare 2011.01-rc6

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit e5e01390003f24330c73bb54eabeda79c410b261
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 26 22:16:06 2011 +0100

    tpos: device-tree: special filter for S2IMAC

    Introduce a special dts filter for S2I GigE Vision Ethernet
    controllers connected on generic xps_epc. This removes the
    "near" generic approach.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 687e675fe7cfc42ac9290d7a1179e3f8bd11c2aa
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 26 22:11:49 2011 +0100

    tpos: device-tree: fix generic uio handling

     * protect array extraction if there is no data
     * fetch up to eight memory slots

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 6ff4bcb21ac119eaf83edc2f85e200781dd772c1
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Jan 25 21:41:33 2011 +0100

    Prepare 2011.01-rc5

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 1a5eb20865dde5c625719de54fa6cf6d2148fb55
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Jan 25 21:38:55 2011 +0100

    Xilinx-ML605-MMU-lite-12.4: add plbv46_mbref_mio

    Add the mbref simple memory bank plbv46_mbref_mio to
    design, named as mbref_mio_0.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 36c5183740db9f9a88d80d9f03375e811af161c4
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Jan 25 21:38:29 2011 +0100

    Xilinx-ML605-MMU-full-12.4: add plbv46_mbref_mio

    Add the mbref simple memory bank plbv46_mbref_mio to
    design, named as mbref_mio_0.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 833bffa5dbf2917a67f6d567436721f8db25c24f
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Jan 25 21:38:13 2011 +0100

    Xilinx-SP3ADSP1800-MMU-lite-12.4: add plbv46_mbref_mio

    Add the mbref simple memory bank plbv46_mbref_mio to
    design, named as mbref_mio_0.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 6f5e03f47985f0eb374f8805be98543a6269db06
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Jan 25 21:37:38 2011 +0100

    Xilinx-SP3ADSP1800-MMU-full-12.4: add plbv46_mbref_mio

    Add the mbref simple memory bank plbv46_mbref_mio to
    design, named as mbref_mio_0.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 2493898af321c34633c3ac11802b631502692d0c
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Jan 25 21:34:51 2011 +0100

    tpos: device-tree: change over to a generic uio list

      * device-tree: remove generic_uio
      * device-tree: introduce generic_uio_list
      * tpos: mld: introduce ARRAY generic_uio_list

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit ef64dda3a8596015451a4e540da4ab84d404cb24
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Jan 25 16:50:56 2011 +0100

    tpos: device-tree: generic uio for multiple mbars

    A lot of hardware out there does not fit into the standard
    scheme of one and only one memory mapped io slot. It is a
    common case have more than one address slots in on entity.

    With Xilinx tool creatip you can generate IPIF designs with
    one or up to eight local memory slots. We will handle all
    parameters beginning with C_MEM and expand the reg entry.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit ad974affa583582c25f30ac5ab980c0f5172bf1c
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Jan 24 21:14:03 2011 +0100

    tpos: plbv46_mbref_mio: new IP core

    MicroBlaze References simple memory bank for PLB v4.6.
    This belongs to MicroBlaze References project.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 25b699f39161d309c24ba40a6ebfd40c2f8f307f
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 23 19:36:01 2011 +0100

    tpos: Add S2I GigE Vision MAC support

    Add Sensor to Image (S2I) GigE Vision Ethernet MAC support
    to tpos-lib tpos-mld and device-tree. It is the first stage
    of design.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 25b2064b9f4a59552e55338893c70c8222d6bbc9
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 23 19:31:44 2011 +0100

    tpos: mld: fixe type mismatch for integer

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit ce4c2689408ffc322c26d329cc1c10d3dc6d6beb
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jan 20 15:42:55 2011 +0100

    tpos: lib: fix NULL pointer exception

    Correct typo in DRC code for LL_TEMAC, rename normem to ethmac,
    copy-past mistake.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit f624f8bff7a0a67131339b563afb7b92c319749e
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 16 23:04:45 2011 +0100

    Prepare 2011.01-rc4

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 082fad1dfbdef6aebfcd025080c0e9c50d0a24c8
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 16 14:39:55 2011 +0100

    working-designs: 12.4: add mtdparts to linux_bootargs

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit d7ee91d5f75dfc35761f0c293403c0c602b67f83
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 15 21:00:19 2011 +0100

    Prepare 2011.01-rc3

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit bb7f88f43f53913b73c8b4c7d4669c6600f5800a
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 15 20:58:26 2011 +0100

    Xilinx-ML605-MMU-lite-12.4: add plbv46_mbref_reg

    Add the mbref simple register bank plbv46_mbref_reg to
    design, named as mbref_reg_0.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit c0a948c45b9a34f539b4889911b47763ebcf68ad
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 15 20:57:51 2011 +0100

    Xilinx-ML605-MMU-full-12.4: add plbv46_mbref_reg

    Add the mbref simple register bank plbv46_mbref_reg to
    design, named as mbref_reg_0.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 30c3cf4a6b67800514367b2656caa802a9323836
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 15 20:03:27 2011 +0100

    Xilinx-SP3ADSP1800-MMU-lite-12.4: add plbv46_mbref_reg

    Add the mbref simple register bank plbv46_mbref_reg to
    design, named as mbref_reg_0.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 372a1ecbebb096b8e87d0a802717177addcb6bd3
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 15 19:45:36 2011 +0100

    Xilinx-SP3ADSP1800-MMU-full-12.4: add plbv46_mbref_reg

    Add the mbref simple register bank plbv46_mbref_reg to
    design, named as mbref_reg_0.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 5e48b906977f2275f94fd3ac567b5d3519d5727c
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 15 19:41:41 2011 +0100

    tpos: plbv46_mbref_reg: new IP core

    MicroBlaze References simple register bank for PLB v4.6.
    This belongs to MicroBlaze References project.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit cf9fa8c494767945e53e7d49333232f263e0b618
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 15 18:40:35 2011 +0100

    tpos: device-tree: generic uio support

    A lot of hardware out there does not fit into one of any
    standard sybsytems. Custom specific register or memory
    banks in FPGAs are one of these examples for such hardware.

    However, to support such hardware in an general and common
    way we can use the Universal I/O (UIO) subsystem.

    The so-called generic-uio Linux driver can bind to any
    device tree node with with entry "generic-uio" inside the
    compatibility list.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit bfda2dc617246d2a60f2b7cb167519161fc7c16e
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Jan 15 18:20:46 2011 +0100

    tpos: AXI support in MLD file

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit d03e07a0dc34742939a423cbab920476c1a64ae5
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 12 18:36:33 2011 +0100

    Prepare 2011.01-rc2

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 54e04513968f59a682651cf71fee49eccf5b26f2
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 12 17:54:23 2011 +0100

    working-designs: add Xilinx-SP3ADSP1800-MMU-lite-12.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 103a703d156bca89375bc89a09ed265c63ec1199
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 12 17:53:07 2011 +0100

    working-designs: add Xilinx-SP3ADSP1800-MMU-full-12.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit c3124a0b386cdc5a10f7fb661b3dc54330c429ff
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 12 17:52:12 2011 +0100

    working-designs: add Xilinx-SP3ADSP1800-MMU-lite-12.3

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 022e843aa41e74ab3ec6212bc5719edf5deaf585
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Jan 12 17:51:11 2011 +0100

    working-designs: add Xilinx-SP3ADSP1800-MMU-full-12.3

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a7162999bb1841f95b6d559ef51094a22da80256
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 9 14:59:41 2011 +0100

    Prepare 2011.01-rc1

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 271f6529d449716a57f1f6d2cc3e3bac4c0a5a51
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 9 14:57:17 2011 +0100

    Prepare 2010.12

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 8dd69e070242cfea51a7caa182e4643188cfe202
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 9 14:53:28 2011 +0100

    working-designs: add Xilinx-ML605-MMU-lite-12.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 1da53f275ab656ad326de32c59fcd0d26cd7e23b
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 9 14:52:55 2011 +0100

    working-designs: add Xilinx-ML605-MMU-full-12.4

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 005ff238dc5efffa7ddda99170e973494eaf136c
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 9 14:45:45 2011 +0100

    working-designs: add Xilinx-ML605-MMU-lite-12.3

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 1bc7f8980abfaa145995389e1c08f85da8044b61
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 9 14:44:46 2011 +0100

    working-designs: add Xilinx-ML605-MMU-full-12.3

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 3aac35fe3016098995fdacd86ebe4f0774dcc824
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Jan 9 14:22:28 2011 +0100

    Merge with GNU parts of PetaLinux v1.3 (2010.12)

      * device-tree_v1_01_a: AXI support, more compatibility
      * uboot_v4_00_c: AXI support

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit eafa6bab35a96a3ef77c4c5e6c37d7824b2f4720
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Dec 16 23:27:28 2010 +0100

    Prepare 2010.12-rc1

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 04ba519f8e1a34565e65adae14817d807815a77c
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Dec 16 22:55:22 2010 +0100

    working-designs: Xilinx ML605 with system I2C support

    Insert the primary system (on-board) I2C bus controller (xps_iic_0)
    to enable EEPROM access.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit be88dbf6b9c0211112bf38e82b92dca6035874f6
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Nov 19 20:15:58 2010 +0100

    tpos: u-boot: add version parameter

    Adding a new software parameter to generate version specific
    configuration files. Thus, we distinguish whether we have to
    use in config.mk a prefix for TEXT_BASE or not.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 0f9d1a768f23b0edd243c1581fde0b67deb9a13e
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Nov 14 14:27:49 2010 +0100

    Prepare 2010.11-rc2

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 90416c5b56a3231ec35c77bb523aa10c8f5cdf89
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Nov 13 11:27:31 2010 +0100

    Prepare 2010.11-rc1

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a9c9ff21e24ba024c1ab2154918946658647c166
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Nov 13 10:36:35 2010 +0100

    working-designs: Xilinx ML605 with new sw params

    Adapt the Xilinx ML605 working designs to the new
    XL-Boot software parameters setup:
      * Boot Counter := 3 (seconds)
      * Locator Blob Offset := 0x1F80000 (points to U-Boot)

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 215efbe26d62cf221c37dadee4f89feaf7d58eca
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Nov 13 10:36:06 2010 +0100

    working-designs: Xilinx ML605: add .gitignore

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit d95ba73acfdcf8362b0cf69040dd5a62e74b98eb
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Nov 13 10:24:14 2010 +0100

    working-designs: Xilinx SP3ADSP1800 with new sw params

    Adapt the Xilinx SP3ADSP1800 working designs to the new
    XL-Boot software parameters setup:
      * Boot Counter := 3 (seconds)
      * Locator Blob Offset := 0xF80000 (points to U-Boot)

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 37a2d35fc8b08b8e71b5ebdc8aa978c99c1da275
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Nov 13 09:37:44 2010 +0100

    tpos: xl-boot: add boot parameters

    Add the both new software parameters "Boot Counter" and
    "Locator Blob Offset". So you can setup or disable the
    boot countdown on beginning of system startup or change
    the blob position inside the flash in an easy and more
    conform way to the EDK design flow.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 7fc519faca6c0c14098950ca1588a94a133b8170
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Nov 6 16:04:57 2010 +0100

    Add missing download.cmd files

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 3abfd3c80295d89cea111627ce3ad23306fe0efd
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Nov 6 16:00:32 2010 +0100

    working-designs: support Xilinx ML605

     * Xilinx-ML605-MMU-lite-12.2

     * MMU means:
	- virtual, full register access
	- 2 protection zones

     * lite means:
	- 2k/2k I/D-Cache
	- MUL32, w/o DIV, w/o FPU
	- XPS UART Lite, 115200 Baud (8N1)
	- XPS Ethernet Lite, w/o second Rx/Tx buffer

     * 12.2 means: Xilinx EDK 12.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 5e32cd7a33ab9278e89d18f314aa78df9e1d1ec0
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Nov 6 15:58:47 2010 +0100

    Xilinx-ML605-MMU-full-12.2: correct cache instances

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 3ca9969e17f0f8b8fff4967e024544c929cdd112
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Nov 1 00:55:27 2010 +0100

    working-designs: support Xilinx ML605

     * Xilinx-ML605-MMU-full-12.2

     * MMU means:
	- virtual, full register access
	- 2 protection zones

     * fulle means:
	- 16k/16k I/D-Cache
	- MUL32, DIV, FPU
	- XPS 16550 UART
	- XPS LL TEMAC, SDMA access

     * 12.2 means: Xilinx EDK 12.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 50006e63e5fa56297402ceb3ad36dc47d24060dc
Author: Stephan Linz <linz@li-pro.net>
Date:	Sat Oct 30 21:30:13 2010 +0200

    Prepare 2010.10

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 9042f8cd38425c4d0793bc7ca01653138116ee2c
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Oct 10 16:56:51 2010 +0200

    Prepare 2010.10-rc4

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit b210de88b312407869ccc785208e6a954e36e20c
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Oct 5 00:57:05 2010 +0200

    Prepare 2010.10-rc3

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a8e6f30b985cc75b6e1569970b03fba7ac359fb8
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Oct 5 00:54:15 2010 +0200

    tpos: doc: add overview image

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 626d332c2966f042c16ca139362af3a585f7ed45
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Oct 5 00:51:16 2010 +0200

    mbref: add overview image to tpos doc

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 8a12aa01f962ef08c15ee367acd0c42eda0d995c
Author: Stephan Linz <linz@li-pro.net>
Date:	Tue Oct 5 00:48:41 2010 +0200

    tpos: doc: move xml file up to top doc path

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 5ba39262f11f12b4615fa8909225de52f29cac95
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Oct 4 18:24:02 2010 +0200

    Prepare 2010.10-rc2

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit a10e14998341de8ebc1536bfc5e9d0ad1f304c39
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Oct 4 18:20:41 2010 +0200

    mbref: rename edk_user_repository to edk-repository

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 696fd10c6c6411641e4c6135b5e58f641c101bb8
Author: Stephan Linz <linz@li-pro.net>
Date:	Mon Oct 4 18:18:24 2010 +0200

    mbref: change base point for CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 20b69e6c6ef2e4d0ecaa2139b666b7003cbd33bd
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 16:26:26 2010 +0200

    Prepare 2010.10-rc1

    Update CHANGELOG

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 00e38a6db567de783b1fc5f62c6848af25a2fd58
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 16:21:35 2010 +0200

    mbref: add basic project data

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit bd2be188c18da22fd6000f5fa95bcaa5a4c1cbf8
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 16:18:28 2010 +0200

    tpos: doc: hint to pre-alpha release

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit afef196724a2c52657634360c366c7699b2e340a
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 15:08:58 2010 +0200

    Revert "working-designs: remove SDK from untracked files for EDK 12.x designes"

    This reverts commit 696d52f850e0e87b559e370db37e172fe3ba9ddf.

commit cefe0021faf964c61b5a7179476d24f76345b8d1
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 15:08:07 2010 +0200

    Revert "Xilinx-SP3ADSP1800-MMU-lite-12.2: new SDK bundle"

    This reverts commit 26bf305b5288f98c786d05f6e2b00e2cd826eb59.

commit be184518057bd85da1c6f2abd63af6bde4c807f9
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 15:03:47 2010 +0200

    Revert "Xilinx-SP3ADSP1800-MMU-full-12.2: new SDK bundle"

    This reverts commit 27a2555b746adc0807c37af901427359f8475fb7.

commit 27a2555b746adc0807c37af901427359f8475fb7
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 11:47:46 2010 +0200

    Xilinx-SP3ADSP1800-MMU-full-12.2: new SDK bundle

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 26bf305b5288f98c786d05f6e2b00e2cd826eb59
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 11:47:29 2010 +0200

    Xilinx-SP3ADSP1800-MMU-lite-12.2: new SDK bundle

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 696d52f850e0e87b559e370db37e172fe3ba9ddf
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 11:40:36 2010 +0200

    working-designs: remove SDK from untracked files for EDK 12.x designes

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 8a8acf03655e8dddc4f700067ceae0b8cd5474bb
Author: Stephan Linz <linz@li-pro.net>
Date:	Fri Oct 1 11:31:13 2010 +0200

    working-designs: remove unnecessary pre-build paths

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit ec0d9eca78f1a0158d4206302ee51c195489cc8d
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 23:02:31 2010 +0200

    xl-boot: adding autoboot counter (stop by key)

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 892e7c9337f6ce5c9fdb2366e83cca72ec6937fe
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 21:00:14 2010 +0200

    working-designs: ignore xl-boot binary path

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 050795b69b8a625d076f1f4be3c4049d440a239f
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 19:40:03 2010 +0200

    working-designs: support Xilinx SP3ADSP1800

     * Xilinx-SP3ADSP1800-MMU-lite-11.4
     * Xilinx-SP3ADSP1800-MMU-full-11.4
     * Xilinx-SP3ADSP1800-MMU-lite-12.2
     * Xilinx-SP3ADSP1800-MMU-full-12.2

     * MMU means:
	- virtual, full register access
	- 2 protection zones

     * lite means:
	- 2kB/2kB I/D-Cache
	- MUL32, w/o DIV, w/o FPU
	- XPS UART Lite, 115200 Baud (8N1)
	- XPS Ethernet Lite, w/o second Rx/Tx buffer

     * fulle means:
	- 16k/16k I/D-Cache
	- MUL32, DIV, FPU
	- XPS 16550 UART
	- XPS LL TEMAC, SDMA access

     * 11.4 means: Xilinx EDK 11.4
     * 12.2 means: Xilinx EDK 12.2

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 68e39a672938d559f03da1b8895aa7a80646e324
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 19:05:43 2010 +0200

    ecos_v1_00_a: remove because non open source license

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 88a4fc0dbfe86873a1ee981fc9de1320632f1d31
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 19:02:02 2010 +0200

    uboot_v4_01_a: remove because obsolete

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit c96e8d767ab1322a03e7a0c8e7e2bf297e296948
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 18:51:51 2010 +0200

    tpos_v1_00_a: introduce ThirdParty OS

    Introduce the new EDK user repository ThirdParty OS (TPOS).

    TPOS supports U-Boot, Linux 2.6/2.4 and XL-Boot by a simple
    but effective way of module handling. Any output for one of
    this source projects will handled by a single and separated
    TCL module. Each module of them resides in its own path,
    which has the same naming like other EDK BSPs. All modules
    together uses a central TCL library.

    Note that the Linux 2.4 support til now is untested and
    uncomplete! -- Work in progress.

    XL-Boot is a pendant to the proprietary bootloader FS-Boot
    developed by PetaLogix. FS-Boot is the important first stage
    bootloader. But FS-Boot has a non conform license in terms
    of open source software. XL-Boot will close this leak and
    presents a free and GNU licensed first stage bootloader.

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 328139d2a922194b1aec4d3123e7832d2110dc21
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 18:50:22 2010 +0200

    fs-boot: remove because non open source license

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 79613810e99f77fea268ed21d905d3a792c1df3b
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 18:47:16 2010 +0200

    fs-boot: support EDK 12.x

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 32680b9251c56feab000e0d55a117c53bc6c7494
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 18:10:27 2010 +0200

    device-tree_v1_02_a: prepare for the new TPOS module handling

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 47a9b9984a15c4a09a76049f303f1b22a5bf7aa5
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 18:06:37 2010 +0200

    uboot_v4_01_a: prepare for the new TPOS module handling

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit fbba2be7f97b1db200b05a808d75f612213c7e60
Author: Stephan Linz <linz@li-pro.net>
Date:	Wed Sep 29 18:00:50 2010 +0200

    Reorganize edk repository to prepare ThirdParty OS module handling

     * remove edk_user_repository/ThirdParty/bsp/top_v1_00_b (not free)
     * rename edk_user_repository/ThirdParty/bsp/uboot_v4_00_c to uboot_v4_01_a
     * rename edk_user_repository/ThirdParty/bsp/device-tree_v1_01_a to device-tree_v1_02_a
     * remove MDL files because they are useless for the new TPOS module handling

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 4f4d2033e0412062bb3d5a98ead5bf086e33440e
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Aug 15 11:53:51 2010 +0200

    Merge with GNU parts of PetaLinux v1.2 (2010.06)

    * uboot_v4_00_c
    * device-tree_v1_01_a

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 081258cd5dc82dee59be21a945e45622ac144610
Author: Stephan Linz <linz@li-pro.net>
Date:	Sun Aug 15 11:47:16 2010 +0200

    Reorganize edk repository to prepare ThirdParty OS

     * remove edk_user_repository/mONStR/bsp/fdt_v1_00_a (obsolete and unused)
     * rename edk_user_repository/mONStR to edk_user_repository/ThirdParty

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 669815a6fb086e39911c4a70ad36f8b0ddb58e3d
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 10 13:16:36 2010 +0200

    Merge with latest FS-BOOT code from tag PL-2009.08.19

    $ git checkout PL-2009.08.19 fs-boot
    $ git add .
    $ git commit -s

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 0b6cd4027b54b511d78f6f5345f66fd0c9fd3840
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 10 12:01:21 2010 +0200

    Merge with latest U-Boot BSP from tag MS-BSP_UBOOT-2009.08.20

    $ git merge --no-commit MS-BSP_UBOOT-2009.08.20
    $ git reset HEAD
    $ mv bsp/uboot/data/uboot_v2_1_0.tcl \
	 edk_user_repository/mONStR/bsp/uboot_v4_00_c/data/uboot_v2_1_0.tcl
    $ rm -rf bsp
    $ git add .
    $ git commit -s

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit d9aaddc52cb9bc30961e4c59fe342c6b32279d14
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 10 11:05:09 2010 +0200

    added latest device-tree BSP from http://www.monstr.eu/wiki/

    * going to http://www.monstr.eu/wiki/doku.php?id=fdt:fdt
    * downloading http://www.monstr.eu/wiki/lib/exe/fetch.php?media=fdt:fdt:logs:device-tree_latest.tar.gz
    * extract, add, commit

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit 52731bc4df903540e1af26dc4018e92723d29913
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 10 10:58:25 2010 +0200

    added FDT BSP from http://www.monstr.eu/wiki/

    * going to http://www.monstr.eu/wiki/doku.php?id=fdt:fdt
    * downloading http://www.monstr.eu/wiki/lib/exe/fetch.php?media=fdt:fdt:logs:fdt-bsp.tar.gz
    * extract, add, commit

    Signed-off-by: Stephan Linz <linz@li-pro.net>

commit afa1c880ea90948917d0c86d7e6b34ab265a8ec2
Author: Stephan Linz <linz@li-pro.net>
Date:	Thu Jun 10 10:27:22 2010 +0200

    created fresh copy from http://www.monstr.eu/wiki/

    * going to http://www.monstr.eu/wiki/doku.php?id=uboot:uboot
    * downloading http://www.monstr.eu/wiki/lib/exe/fetch.php?media=uboot:edk_user_repository.tar.gz
    * extract, add, commit

    Signed-off-by: Stephan Linz <linz@li-pro.net>
